qpid::messaging::Sender Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qpid::messaging::Sender Class Reference
Qpid C++ Client API

Interface through which messages are sent. More...

`#include <qpid/messaging/Sender.h>`

List of all members.

## Public Member Functions
| Sender (SenderImpl *impl=0)
| Sender (const Sender &)
| ~Sender ()
Sender & | operator= (const Sender &)
void | send (const Message &message, bool sync=false)
| Sends a message.
void | close ()
void | setCapacity (uint32_t)
| Sets the capacity for the sender.
uint32_t | getCapacity ()
| Returns the capacity of the sender.
uint32_t | getUnsettled ()
| Returns the number of sent messages pending confirmation of receipt by the broker.
uint32_t | getAvailable ()
| Returns the number of messages for which there is available capacity.
const std::string & | getName () const
| Returns the name of this sender.
Session | getSession () const
| Returns a handle to the session associated with this sender.
QPID_MESSAGING_INLINE_EXTERN bool | isValid () const
QPID_MESSAGING_INLINE_EXTERN bool | isNull () const
QPID_MESSAGING_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QPID_MESSAGING_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Detailed Description

Interface through which messages are sent.

## Member Typedef Documentation

typedef T qpid::messaging::Handle::Impl`[protected, inherited]`

Definition at line 57 of file Handle.h.

## Constructor & Destructor Documentation

qpid::messaging::Sender::Sender | ( | SenderImpl * | impl = `0` | ) |

qpid::messaging::Sender::Sender | ( | const Sender & |  | ) |

qpid::messaging::Sender::~Sender | ( |  | ) |

## Member Function Documentation

void qpid::messaging::Sender::close | ( |  | ) |

uint32_t qpid::messaging::Sender::getAvailable | ( |  | ) |

Returns the number of messages for which there is available capacity.

uint32_t qpid::messaging::Sender::getCapacity | ( |  | ) |

Returns the capacity of the sender.

See also:
  setCapacity

const std::string& qpid::messaging::Sender::getName | ( |  | ) | const

Returns the name of this sender.

Session qpid::messaging::Sender::getSession | ( |  | ) | const

Returns a handle to the session associated with this sender.

uint32_t qpid::messaging::Sender::getUnsettled | ( |  | ) |

Returns the number of sent messages pending confirmation of receipt by the broker.

(These are the 'in-doubt' messages).

QPID_MESSAGING_INLINE_EXTERN bool qpid::messaging::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 46 of file Handle.h.

QPID_MESSAGING_INLINE_EXTERN bool qpid::messaging::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 43 of file Handle.h.

QPID_MESSAGING_INLINE_EXTERN qpid::messaging::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 49 of file Handle.h.

QPID_MESSAGING_INLINE_EXTERN bool qpid::messaging::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 52 of file Handle.h.

Sender& qpid::messaging::Sender::operator= | ( | const Sender & |  | ) |

void qpid::messaging::Sender::send | ( | const Message & | message,
|  | bool | sync = `false`
| ) |  |

Sends a message.

Parameters:

  message | the message to send
  sync | if true the call will block until the server confirms receipt of the messages; if false will only block for available capacity (i.e. pending == capacity)

void qpid::messaging::Sender::setCapacity | ( | uint32_t |  | ) |

Sets the capacity for the sender.

The capacity determines how many outgoing messages can be held pending confirmation of receipt by the broker.

void qpid::messaging::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 54 of file Handle.h.

## Member Data Documentation

Impl* qpid::messaging::Handle::impl`[protected, inherited]`

Definition at line 64 of file Handle.h.

The documentation for this class was generated from the following file:

- qpid/messaging/Sender.h